<form id="userForm" [formGroup]="userForm" (ngSubmit)="onSubmit(userForm.value)">
  <div>
    <label for="email">
      Email
    </label>
    <input class="form-control" id="e-mail" type="email" formControlName="email">
  </div>
  <div>
    <label for="password">
      Password
    </label>
    <input class="form-control" id="password" type="password" formControlName="password">
  </div>
  <div>
    <label for="firstName">
      First Name
    </label>
    <input class="form-control" id="firstName" type="text" formControlName="firstName">
  </div>
  <div>
    <label for="lastName">
      Last Name
    </label>
    <input class="form-control" id="lastName" type="text" formControlName="lastName">
  </div>
  <div>
    <label for="dateOfBirth">
      Date of Birth
    </label>
    <input class="form-control" id="dateOfBirth" type="date" formControlName="dateOfBirth">
  </div>
  <div>
    Gender <br>
    <input id="genM" name="gender" type="radio" formControlName="gender" value="M">
    <label class="form-check-label" for="genM">
      Male
    </label>
    <br>
    <input id="genf" name="gender" type="radio" formControlName="gender" value="F">
    <label class="form-check-label" for="genM">
      Female
    </label>
  </div><br>
  <button class="btn btn-primary" type="submit">Save</button>
  <button class="btn btn-secondary" type="reset">Reset</button>
</form>
